<template>
  <!-- Use two layers for scroll bar on the right -->
  <div class="flex flex-col items-stretch justify-start container mx-auto max-w-4xl">
    <!-- Top Bar -->
    <view-header
      @options-click="modals.show('options', $event)"
      :title="title"
      :color="color"
      :icon="icon"
      :showOptions="showOptions"
    />
    <modal :is="modals.get('options')" no-dimmer position="dynamic">
      <slot name="modal" />
    </modal>

    <!-- Task List -->
    <div class="pb-32 pt-4 px-2 relative">
      <slot name="tasks" />
    </div>
  </div>
</template>

<script lsng="ts">
import { inlined, useModals } from "@/use/modal";
import ViewHeader from "../ViewHeader.vue";

export default {
  components: { ViewHeader },
  props: {
    title: String,
    color: String,
    icon: String,
    showOptions: Boolean
  },
  setup() {
    return {
      modals: useModals({ Options: inlined() })
    };
  }
};
</script>

<style></style>
